PIN 码最初默认为 6 位,可修改为 4 位或 6 位。
主要规则1.
4 位 PIN 在 6 位终端上的兼容性
当持卡人设置 4 位 PIN 时,我们的系统会自动支持需要 6 位 PIN 的终端。此功能对所有卡片自动生效,持卡人无需进行任何额外操作。
在支持 4 位 PIN 的终端上,持卡人照常输入 4 位 PIN。
新加坡卡如果遇到要求输入 6 位 PIN 的终端,持卡人只需在 4 位 PIN 后补上 00。
示例: 如果 PIN 是 1314,则输入 131400。
2.
PIN 复杂度要求
修改 PIN 时,不允许使用以下类型的密码:
3 个连续数字(升序或降序),例如:012、890
3 个重复数字,例如:111
此限制同时适用于 4 位和 6 位 PIN。
Request
Body Params application/json
{
"cardId": "string",
"cardPinNumber": "string"
}
Request Code Samples
curl --location 'https://api-test.tevaupay.com/openapi/card/updateCardPin' \
--header 'x-nexus-api-key: 9a50f67a8d76d343896c4c1c2330bde8' \
--header 'versions: v1' \
--header 'appId: P3wmnamRzMsLjimu' \
--header 'timestamp: {{$date.timestamp}}' \
--header 'nonce: {{$string.uuid}}' \
--header 'sign: 8ca94291ed9cb1783df63a9eecb775f04bc2106993a9ef1c4c857dfd6b2eb832' \
--header 'Content-Type: application/json' \
--data '{
"cardId": "string",
"cardPinNumber": "string"
}'
Responses
application/json
{
"code": 0,
"msg": "SUCCESS",
"data": {
"orderId": "PC2608100629968459"
},
"ok": true
}
Modified at 2026-08-27 10:30:24